aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tcptraceroute/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2013-09-27 07:36:50 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-09-27 07:37:52 +0000
commit93cdf36c31e9c1ee321f37b352d1f140b078bc54 (patch)
tree4ddf5ccc068b94fa01433d2e3d96ebf73341dd97 /testing/tcptraceroute/APKBUILD
parenta76e836073fe67d8c41e87f599f4d282fb5f202f (diff)
downloadaports-93cdf36c31e9c1ee321f37b352d1f140b078bc54.tar.gz
aports-93cdf36c31e9c1ee321f37b352d1f140b078bc54.tar.bz2
aports-93cdf36c31e9c1ee321f37b352d1f140b078bc54.tar.xz
testing/tcptraceroute: new aport
Display route path using TCP probes
Diffstat (limited to 'testing/tcptraceroute/APKBUILD')
-rw-r--r--testing/tcptraceroute/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/tcptraceroute/APKBUILD b/testing/tcptraceroute/APKBUILD
new file mode 100644
index 0000000000..f33baa6d48
--- /dev/null
+++ b/testing/tcptraceroute/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=tcptraceroute
+pkgver=1.5b7
+_ver=${pkgver/b/beta}
+pkgrel=0
+pkgdesc="Display route path using TCP probes"
+url="https://github.com/mct/tcptraceroute"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="https://github.com/mct/tcptraceroute/archive/tcptraceroute-1.5beta7.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgname-$_ver
+
+prepare() {
+ cd "$_builddir"
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="8a679c57d5bd702ca91662fd88e964b6 tcptraceroute-1.5beta7.tar.gz"
+sha256sums="57fd2e444935bc5be8682c302994ba218a7c738c3a6cae00593a866cd85be8e7 tcptraceroute-1.5beta7.tar.gz"
+sha512sums="ad5588e62a56f1b5fa851b68280a88e66a900777fe4fd67587262245cd9da17b536b7dc972abe540fc124a93ac76abcabbc55bc32f9f8ee872d5df57b08f7222 tcptraceroute-1.5beta7.tar.gz"